ColumnStatisticsImpl.StringStatisticsImpl (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class ColumnStatisticsImpl.StringStatisticsImpl

- java.lang.Object
- - org.apache.orc.impl.ColumnStatisticsImpl
  - - org.apache.orc.impl.ColumnStatisticsImpl.StringStatisticsImpl

- All Implemented Interfaces:
    ColumnStatistics, StringColumnStatistics
  Enclosing class:
    ColumnStatisticsImpl

      protected static final class ColumnStatisticsImpl.StringStatisticsImpl
      extends ColumnStatisticsImpl
      implements StringColumnStatistics

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.orc.impl.ColumnStatisticsImpl

      `ColumnStatisticsImpl.BinaryStatisticsImpl, ColumnStatisticsImpl.StringStatisticsImpl`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_BYTES_RECORDED`

    - ### Fields inherited from class org.apache.orc.impl.ColumnStatisticsImpl

      `count`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getLowerBound()` Get the string with length = Min(StringStatisticsImpl.MAX_BYTES_RECORDED, getMinimum())
    `String` | `getMaximum()` Get the maximum string.
    `String` | `getMinimum()` Get the minimum string.
    `long` | `getSum()` Get the total length of all strings
    `String` | `getUpperBound()` Get the string with length = Min(StringStatisticsImpl.MAX_BYTES_RECORDED, getMaximum())
    `int` | `hashCode()`
    `void` | `merge(ColumnStatisticsImpl other)`
    `void` | `reset()`
    `OrcProto.ColumnStatistics.Builder` | `serialize()`
    `String` | `toString()`
    `void` | `updateString(byte[] bytes, int offset, int length, int repetitions)`
    `void` | `updateString(Text value)`

    - ### Methods inherited from class org.apache.orc.impl.ColumnStatisticsImpl

      `create, create, deserialize, deserialize, getBytesOnDisk, getNumberOfValues, hasNull, increment, increment, isStatsExists, setNull, updateBinary, updateBinary, updateBoolean, updateByteCount, updateCollectionLength, updateDate, updateDate, updateDecimal, updateDecimal64, updateDouble, updateInteger, updateTimestamp, updateTimestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.orc.ColumnStatistics

      `getBytesOnDisk, getNumberOfValues, hasNull`

- - ### Field Detail

    - #### MAX_BYTES_RECORDED

          public static final int MAX_BYTES_RECORDED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### reset

          public void reset()

      Overrides:
        `reset` in class `ColumnStatisticsImpl`

    - #### updateString

          public void updateString(Text value)

      Overrides:
        `updateString` in class `ColumnStatisticsImpl`

    - #### updateString

          public void updateString(byte[] bytes,
                                   int offset,
                                   int length,
                                   int repetitions)

      Overrides:
        `updateString` in class `ColumnStatisticsImpl`

    - #### merge

          public void merge(ColumnStatisticsImpl other)

      Overrides:
        `merge` in class `ColumnStatisticsImpl`

    - #### serialize

          public OrcProto.ColumnStatistics.Builder serialize()

      Overrides:
        `serialize` in class `ColumnStatisticsImpl`

    - #### getMinimum

          public String getMinimum()

      Description copied from interface: `StringColumnStatistics`
      Get the minimum string.
      Specified by:
        `getMinimum` in interface `StringColumnStatistics`
      Returns:
        the minimum

    - #### getMaximum

          public String getMaximum()

      Description copied from interface: `StringColumnStatistics`
      Get the maximum string.
      Specified by:
        `getMaximum` in interface `StringColumnStatistics`
      Returns:
        the maximum

    - #### getLowerBound

          public String getLowerBound()

      Get the string with length = Min(StringStatisticsImpl.MAX_BYTES_RECORDED, getMinimum())
      Specified by:
        `getLowerBound` in interface `StringColumnStatistics`
      Returns:
        lower bound

    - #### getUpperBound

          public String getUpperBound()

      Get the string with length = Min(StringStatisticsImpl.MAX_BYTES_RECORDED, getMaximum())
      Specified by:
        `getUpperBound` in interface `StringColumnStatistics`
      Returns:
        upper bound

    - #### getSum

          public long getSum()

      Description copied from interface: `StringColumnStatistics`
      Get the total length of all strings
      Specified by:
        `getSum` in interface `StringColumnStatistics`
      Returns:
        the sum (total length)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ColumnStatisticsImpl`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ColumnStatisticsImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ColumnStatisticsImpl`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.